Page MenuHomePhabricator

abort: removed labels argument from abortmerge()
ClosedPublic

Authored by taapas1128 on Jul 10 2019, 5:41 PM.

Details

Summary

Labels are used to label the code that belongs to working copy and merge rev
in case of a conflicted state.
No such labelling is required while aborting merge as conflicted parts
are reverted to normal.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

taapas1128 created this revision.Jul 10 2019, 5:41 PM
pulkit added a subscriber: pulkit.Jul 11 2019, 9:21 AM

However when merge is aborted there is no unresolved merge in progress and hence

This needs to be reworded.

no labels are required.

taapas1128 edited the summary of this revision. (Show Details)Jul 11 2019, 9:28 AM
taapas1128 updated this revision to Diff 15889.

Updated that is it fine now ?

pulkit accepted this revision.Jul 15 2019, 9:50 AM
This revision is now accepted and ready to land.Jul 15 2019, 9:50 AM
This revision was automatically updated to reflect the committed changes.